CREATE OR REPLACE VIEW idm_rpt_cfg.idmrpt_prd_summary_cs_v AS 
 SELECT idmrpt_idv_prd.idmrpt_valid_from,
    idmrpt_idv_prd.idmrpt_valid_to,
    idmrpt_idv_prd.prd_id,
        CASE
            WHEN btrim(idmrpt_rpt_driver.idv_host::text) = btrim(idmrpt_rpt_driver.idv_name::text) THEN idmrpt_rpt_driver.idv_name::text
            ELSE ((idmrpt_rpt_driver.idv_name::text || ' ('::text) || idmrpt_rpt_driver.idv_host::text) || ')'::text
        END AS idv_name,
        CASE
            WHEN btrim(idmrpt_idv_prd.prd_name::text) = ''::text THEN idmrpt_idv_prd.prd_dn
            ELSE idmrpt_idv_prd.prd_name
        END AS prd_name,
    idmrpt_idv_prd.prd_desc,
    'now'::text::date + 7305 + 'now'::text::time with time zone AS fake_future_date
   FROM idm_rpt_cfg.idmrpt_rpt_driver_v idmrpt_rpt_driver,
    idm_rpt_cfg.idmrpt_idv_v idmrpt_idv,
    idm_rpt_cfg.idmrpt_idv_prd_cs_v idmrpt_idv_prd
  WHERE idmrpt_rpt_driver.idv_id::text = idmrpt_idv.idv_id::text AND idmrpt_idv.idv_id::text = idmrpt_idv_prd.idv_id::text AND
        CASE
            WHEN idmrpt_idv_prd.rpt_drv_id IS NULL THEN 1
            WHEN idmrpt_rpt_driver.rpt_drv_id::text = idmrpt_idv_prd.rpt_drv_id::text THEN 1
            ELSE 0
        END = 1
  ORDER BY (
        CASE
            WHEN btrim(idmrpt_rpt_driver.idv_host::text) = btrim(idmrpt_rpt_driver.idv_name::text) THEN idmrpt_rpt_driver.idv_name::text
            ELSE ((idmrpt_rpt_driver.idv_name::text || ' ('::text) || idmrpt_rpt_driver.idv_host::text) || ')'::text
        END), (
        CASE
            WHEN btrim(idmrpt_idv_prd.prd_name::text) = ''::text THEN idmrpt_idv_prd.prd_dn
            ELSE idmrpt_idv_prd.prd_name
        END), idmrpt_idv_prd.idmrpt_valid_from;

ALTER TABLE idm_rpt_cfg.idmrpt_prd_summary_cs_v
  OWNER TO idm_rpt_cfg;
GRANT ALL ON TABLE idm_rpt_cfg.idmrpt_prd_summary_cs_v TO idm_rpt_cfg;
GRANT SELECT ON TABLE idm_rpt_cfg.idmrpt_prd_summary_cs_v TO idmrptuser;